<?php declare(strict_types=1);

namespace Everyware\Installer\Console\Contracts;

/**
 * Interface StarterKitProvider
 * @package Everyware\Installer\Console\Contracts
 */
interface StarterKitProvider
{
    /**
     * Download Starter kit and return the path
     *
     * @param string $version
     * @param string $path Where the Starter kit should be downloaded to
     *
     * @return string The path to where the starter kit was placed
     */
    public function download(string $version, string $path): string;
}
